petsc-3.12.4 2020-02-04
Report Typos and Errors

# CharacteristicSetUp

Sets up the internal data structures for the later use of an iterative solver.

### Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicSetUp(Characteristic c)

Collective on Characteristic

### Input Parameter

ksp -iterative context obtained from CharacteristicCreate()

### See Also

CharacteristicCreate(), CharacteristicSolve(), CharacteristicDestroy()

### Level

developer

### Location

src/ts/characteristic/interface/characteristic.c

### Implementations

CharacteristicSetUp_DA in src/ts/characteristic/impls/da/slda.c
Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages